package com.ssj.service.course.req;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 上午10:37:57 
 * 类说明 
 */
public class TeacherCourseReq extends BaseRequest{

	 /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * 馆ID
     */
	@ApiModelProperty(name = "libId", value = "馆ID", required = true)
	private String  libId;
	
	/**
     * 系列课程ID
     */
	@ApiModelProperty(name = "courseSeriesId", value = "系列课程ID", required = true)
	private String  courseSeriesId;
	
	@ApiModelProperty(name = "vipId", value = "会员ID", required = true)
	private String  vipId;
	
	/**
     * 明细课程ID
     */
	@ApiModelProperty(name = "courseDetailId", value = "明细课程ID", required = true)
	private String  courseDetailId;
	
	/**
     * 明细课程ID
     */
	@ApiModelProperty(name = "onlineType", value = "老师进入pc前的类型1-授课2-备课3-教材", required = true)
	private String  onlineType;
	
	public String getCourseSeriesId() {
		return courseSeriesId;
	}
	public void setCourseSeriesId(String courseSeriesId) {
		this.courseSeriesId = courseSeriesId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getCourseDetailId() {
		return courseDetailId;
	}

	public void setCourseDetailId(String courseDetailId) {
		this.courseDetailId = courseDetailId;
	}

	public String getOnlineType() {
		return onlineType;
	}

	public void setOnlineType(String onlineType) {
		this.onlineType = onlineType;
	}
	
	
}
